Subject: Re: [Bitcoin-development] DNS seeds returning gone peers

From: Gregory Maxwell <[email-masked]>
Date: Wed, 3 Aug 2011 10:48:33 -0400

On Wed, Aug 3, 2011 at 10:39 AM, Mike Hearn <[email-masked]> wrote:
>> There's a bigger problem here honestly. The p2p network is just starved
>> for connectable slots.
>
> Suggestions:
> - massively increasing all the anti-DoS limits in 0.4, so far they've caused
> a lot more damage than they solved.

You can't "massively increase" the number of available connection
slots without risking running nodes on lower memory systems (e.g. VMs)
out of memory.

Moreover, 125 slots should be more than enough.  We need to figure out
why it isn't.